# Update a player This operation updates a player. Endpoint: PATCH /players/{id} Version: v1.10 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the player. ## Request fields (application/json): - `player` (object, required) Example: {"hosted_page":{"title":"My Updated Hosted Page"},"responsive":true} - `player.countdown` (boolean) A clock that appears in the player before the event and counts down to the start of the stream. Specify true to display the countdown clock. The default is false. Example: "countdown": true Example: true - `player.countdown_at` (string) The date and time that the event starts, used by the countdown clock. Enter YYYY-MM-DD HH:MM:SS where HH is a 24-hour clock in UTC. Example: "countdown_at": "2020-02-01T17:00:00.000Z" Example: "2020-02-01T17:00:00.000Z" - `player.hosted_page` (object) Configuration of the hosted page. - `player.hosted_page.enabled` (boolean) A web page hosted by Wowza Video that includes a player for the live stream. The default, true, creates a hosted page. Specify false to not create a hosted web page. Example: "enabled": true - `player.hosted_page.description` (string) A description that appears on the hosted page below the player. Can't include custom HTML, JavaScript, or other tags. Example: "description": "My Hosted Page Description" - `player.hosted_page.logo_image` (string) A Base64-encoded string representation of a GIF, JPEG, or PNG logo file that that appears in the upper-left corner of the hosted page. Logo file must be 2.5 MB or smaller. Example: "logo_image": "[Base64-encoded string representation of GIF, JPEG, or PNG file]" Example: "[Base64-encoded string representation of GIF, JPEG, or PNG file]" - `player.hosted_page.remove_logo_image` (boolean) If true, removes the logo file from the output. The default is false. Example: "remove_logo_image": true Example: true - `player.hosted_page.sharing_icons` (boolean) Icons that let viewers share the stream on Facebook, Google+, Twitter, and by email. The default, true, includes sharing icons on the hosted page. Specify false to omit sharing icons. Example: "sharing_icons": false - `player.hosted_page.title` (string) A title for the page that appears above the player. Can't include custom HTML, JavaScript, or other tags. Example: "title": "My Hosted Page" - `player.logo_image` (string) A Base64-encoded string representation of a GIF, JPEG, or PNG logo file that appears partially transparent in a corner of the player throughout playback. Logo file must be 2.5 MB or smaller. Example: "logo_image": "[Base64-encoded string representation of an image]" Example: "[Base64-encoded string representation of an image]" - `player.logo_position` (string) The corner of the player in which you want the player logo to appear. The default is top-left. Example: "logo_position": "top-left" Example: "top-left" - `player.remove_video_poster_image` (boolean) If true, removes the poster image from the output. The default is false. Example: "remove_video_poster_image": true Example: true - `player.responsive` (boolean) A player whose size adjusts according to the device on which it's being viewed. If true, creates a responsive player. If false, specify a width. Example: "responsive": true Example: true - `player.type` (string) The player you want to use. Wowza Video subscribers Wowza Flowplayer (wowza_flowplayer) is the only valid option. You're a subscriber if you have access to Asset Management and Historic and Live Analytics in the user interface. The Wowza Flowplayer is an easy-to-use, commercial grade player designed for builders and developers. It provides HTML5, HLS, and MPEG-DASH playback and plays streams on any browser and device. It can be [customized](https://www.wowza.com/docs/embed-and-customize-wowza-flowplayer-in-your-site) if you embed it in your site. > Note: If you update a live stream from original_html5 or wowza_player to wowza_flowplayer, it cannot be changed later. Other subscribers original _html5 and wowza_player are the only valid options and original_html5 is the default. original_html5 provides HTML5 playback and falls back to Flash on older browsers. wowza_player requires that target_delivery_protocol be hls-https and closed_caption_type be none. Example: "type": "wowza_flowplayer" Example: "wowza_flowplayer" - `player.video_poster_image` (string) A Base64-encoded string representation of a GIF, JPEG, or PNG poster image that appears in the player before the stream begins. Poster image files must be 2.5 MB or smaller. Example: "video_poster_image": "[Base64-encoded string representation of an image]" Example: "[Base64-encoded string representation of an image]" - `player.width` (integer) The width, in pixels, of a fixed-size player. The default is 640. Example: "width": 640 Example: 640 ## Response 200 fields (application/json): - `player` (object, required) Example: {"countdown":true,"countdown_at":"2020-02-01T17:00:00.000Z","created_at":"2020-01-29T17:16:21.968Z","embed_code":null,"hls_playback_url":"https://wowzasubdomain.wowza.com/1/TWhoL3BiZnJXMFhmNzZVN3JrZDAwUT09/ZmYxSXRrTERrUlk9/hls/live/playlist.m3u8","hosted_page":{"enabled":true,"description":"My Hosted Page Description","logo_image_url":"https://prod.s3.amazonaws.com/uploads/player/hosted_page_logo_image/23424/5bad28.jpg","sharing_icons":false,"title":"My Hosted Page","url":"https://player.video.wowza.com/hosted/e8dk5bf6/player.html"},"id":"e8dk5bf6","logo_image_url":"https://prod.s3.amazonaws.com/uploads/player/logo_image/23424/5bad28.jpg","logo_position":"top-right","responsive":false,"transcoder_id":"6Qbymbbq","type":"wowza_flowplayer","updated_at":"2020-01-31T16:08:26.990Z","video_poster_image_url":"https://prod.s3.amazonaws.com/uploads/player/video_poster_image/23424/5bad28.jpg","width":640} - `player.countdown` (boolean) A clock that appears in the player before the event and counts down to the start of the stream. Specify true to display the countdown clock. The default is false. Example: true - `player.countdown_at` (string) The date and time that the event starts, used by the countdown clock. Enter YYYY-MM-DD HH:MM:SS where HH is a 24-hour clock in UTC. Example: "2020-02-01T17:00:00.000Z" - `player.created_at` (string) The date and time that the player was created. Example: "2020-01-29T17:16:21.968Z" - `player.embed_code` (string) The HTML code that can be used in an external webpage to host the Wowza Flowplayer. - `player.hls_playback_url` (string) The address that can be used to configure playback of the stream using the HLS protocol. Example: "https://wowzasubdomain.wowza.com/1/TWhoL3BiZnJXMFhmNzZVN3JrZDAwUT09/ZmYxSXRrTERrUlk9/hls/live/playlist.m3u8" - `player.hosted_page` (object) Configuration of the hosted page. - `player.hosted_page.enabled` (boolean) A web page hosted by Wowza Video that includes a player for the live stream. The default, true, creates a hosted page. Specify false to not create a hosted web page. - `player.hosted_page.description` (string) A description that appears on the hosted page below the player. Can't include custom HTML, JavaScript, or other tags. - `player.hosted_page.logo_image_url` (string) The path to a GIF, JPEG, or PNG logo file that appears in the upper-left corner of the hosted page. Logo file must be 2.5 MB or smaller. - `player.hosted_page.sharing_icons` (boolean) Icons that let viewers share the stream on Facebook, Google+, Twitter, and by email. The default, true, includes sharing icons on the hosted page. Specify false to omit sharing icons. - `player.hosted_page.title` (string) A title for the page that appears above the player. Can't include custom HTML, JavaScript, or other tags. - `player.hosted_page.url` (string) The URL of the Wowza Video-hosted webpage that viewers can visit to watch the stream. - `player.id` (string) The unique alphanumeric string that identifies the player. Example: "e8dk5bf6" - `player.logo_image_url` (string) The path to a GIF, JPEG, or PNG logo file that appears partially transparent in a corner of the player throughout playback. Logo file must be 2.5 MB or smaller. Example: "https://prod.s3.amazonaws.com/uploads/player/logo_image/23424/5bad28.jpg" - `player.logo_position` (string) The corner of the player in which you want the player logo to appear. The default is top-left. Example: "top-right" - `player.responsive` (boolean) A player whose size adjusts according to the device on which it's being viewed. If true, creates a responsive player. If false, specify a width. - `player.transcoder_id` (string) The unique alphanumeric string that identifies the transcoder. Example: "6Qbymbbq" - `player.type` (string) The player you want to use. Wowza Video subscribers Wowza Flowplayer (wowza_flowplayer) is the only valid option. You're a subscriber if you have access to Asset Management and Historic and Live Analytics in the user interface. The Wowza Flowplayer is an easy-to-use, commercial grade player designed for builders and developers. It provides HTML5, HLS, and MPEG-DASH playback and plays streams on any browser and device. It can be [customized](https://www.wowza.com/docs/embed-and-customize-wowza-flowplayer-in-your-site) if you embed it in your site. Other subscribers original _html5 and wowza_player are the only valid options and original_html5 is the default. original_html5 provides HTML5 playback and falls back to Flash on older browsers. wowza_player requires that target_delivery_protocol be hls-https and closed_caption_type be none. Example: "wowza_flowplayer" - `player.updated_at` (string) The date and time that the player was updated. Example: "2020-01-31T16:08:26.990Z" - `player.video_poster_image_url` (string) The path to a GIF, JPEG, or PNG poster image that appears in the player before the stream begins. Poster image files must be 2.5 MB or smaller. Example: "https://prod.s3.amazonaws.com/uploads/player/video_poster_image/23424/5bad28.jpg" - `player.width` (integer) The width, in pixels, of a fixed-size player. The default is 640. Example: 640 ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 422 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)